Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface SchedulerListener

All Known Implementing Classes:
  BroadcastSchedulerListener, JobRunShell, JTAJobRunShell, QuartzSchedulerMBeanImpl, QuartzServer, SampledStatisticsImpl, SchedulerListenerSupport

    public interface SchedulerListener

The interface to be implemented by classes that want to be informed of major ``Scheduler`` events.

Author:
  James House
See Also:
  `Scheduler`, `JobListener`, `TriggerListener`

Method Summary
`void` | `jobAdded(JobDetail jobDetail)` Called by the ``Scheduler`` when a ``JobDetail`` has been added.
`void` | `jobDeleted(String jobName, String groupName)` Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.
`void` | `jobScheduled(Trigger trigger)` Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.
`void` | `jobsPaused(String jobName, String jobGroup)` Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been paused.
`void` | `jobsResumed(String jobName, String jobGroup)` Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been un-paused.
`void` | `jobUnscheduled(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.
`void` | `schedulerError(String msg, SchedulerException cause)` Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.
`void` | `schedulerInStandbyMode()` Called by the ``Scheduler`` to inform the listener that it has move to standby mode.
`void` | `schedulerShutdown()` Called by the ``Scheduler`` to inform the listener that it has shutdown.
`void` | `schedulerShuttingdown()` Called by the ``Scheduler`` to inform the listener that it has begun the shutdown process.
`void` | `schedulerStarted()` Called by the ``Scheduler`` to inform the listener that it has started.
`void` | `triggerFinalized(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.
`void` | `triggersPaused(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been paused.
`void` | `triggersResumed(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been un-paused.

Method Detail

### jobScheduled

    void jobScheduled(Trigger trigger)

  Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.

### jobUnscheduled

    void jobUnscheduled(String triggerName,
                        String triggerGroup)

  Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.

### triggerFinalized

    void triggerFinalized(Trigger trigger)

  Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.

### triggersPaused

    void triggersPaused(String triggerName,
                        String triggerGroup)

  Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been paused.

  If a group was paused, then the `triggerName` parameter will be null.

### triggersResumed

    void triggersResumed(String triggerName,
                         String triggerGroup)

  Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been un-paused.

  If a group was resumed, then the `triggerName` parameter will be null.

### jobAdded

    void jobAdded(JobDetail jobDetail)

  Called by the ``Scheduler`` when a ``JobDetail`` has been added.

### jobDeleted

    void jobDeleted(String jobName,
                    String groupName)

  Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.

### jobsPaused

    void jobsPaused(String jobName,
                    String jobGroup)

  Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been paused.

  If a group was paused, then the `jobName` parameter will be null. If all jobs were paused, then both parameters will be null.

### jobsResumed

    void jobsResumed(String jobName,
                     String jobGroup)

  Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been un-paused.

  If a group was resumed, then the `jobName` parameter will be null. If all jobs were paused, then both parameters will be null.

### schedulerError

    void schedulerError(String msg,
                        SchedulerException cause)

  Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.

  The `getErrorCode()` method of the given SchedulerException can be used to determine more specific information about the type of error that was encountered.

### schedulerInStandbyMode

    void schedulerInStandbyMode()

  Called by the ``Scheduler`` to inform the listener that it has move to standby mode.

### schedulerStarted

    void schedulerStarted()

  Called by the ``Scheduler`` to inform the listener that it has started.

### schedulerShutdown

    void schedulerShutdown()

  Called by the ``Scheduler`` to inform the listener that it has shutdown.

### schedulerShuttingdown

    void schedulerShuttingdown()

  Called by the ``Scheduler`` to inform the listener that it has begun the shutdown process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.